Package: org.codehaus.groovy.runtime

## [Java] Class ScriptTestAdapter

- org.codehaus.groovy.runtime.ScriptTestAdapter

- All Implemented Interfaces and Traits:
    Test

      public class ScriptTestAdapter

  An adapter to make any Groovy Script class an instance of a JUnit Test

  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptTestAdapter (Class scriptClass, String[] arguments)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `countTestCases()`
    `void` | `run(TestResult result)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ScriptTestAdapter(Class scriptClass, String[] arguments)

  - ### Method Detail

    - #### public int countTestCases()

    - #### public void run(TestResult result)

    - #### public String toString()